"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FunctionTypeFormatter = void 0;
const ts_json_schema_generator_1 = require("ts-json-schema-generator");
class FunctionTypeFormatter {
    supportsType(type) {
        return type instanceof ts_json_schema_generator_1.FunctionType;
    }
    getDefinition(type) {
        return {
            type: "object",
            properties: {
                isFunction: {
                    type: "boolean",
                    const: true,
                },
            },
        };
    }
    getChildren(type) {
        return [];
    }
}
exports.FunctionTypeFormatter = FunctionTypeFormatter;
